package org.eclipse.nebula.animation.effects;

import org.eclipse.nebula.animation.movement.IMovement;
import org.eclipse.swt.widgets.Control;

public class AttachmentChange {
	
	Control control = null;		
	
	int percentSrc;
	int percentDest;
	int percentDiff;	
	int offsetSrc;
	int offsetDest;
	int offsetDiff;
	
	
	public AttachmentChange(Control control, int percentSrc, int percentDest, int offsetSrc, int offsetDest) {
		this.control = control;
		this.percentSrc = percentSrc;
		this.percentDest = percentDest;
		percentDiff = percentDest-percentSrc;
		this.offsetSrc = offsetSrc;
		this.offsetDest = offsetDest;
		offsetDiff = offsetDest-offsetSrc;		
	}
	
	public int getOffset(IMovement easingFunction, int time) {
		   return (int)(offsetSrc+offsetDiff * easingFunction.getValue((int)time));
	}
	
	public int getPercent(IMovement easingFunction, int time) {
		   return (int)(percentSrc+percentDiff * easingFunction.getValue((int)time));
	}	

}
